Index: c/src/tests/psxtests/ChangeLog
===================================================================
--- c/src/tests/psxtests/ChangeLog	(revision 398ed76051383f5be5c73b4375add5297c68d2cf)
+++ c/src/tests/psxtests/ChangeLog	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -1,2 +1,10 @@
+2003-09-03	Joel Sherrill <joel@OARcorp.com>
+
+	PR 463/tests
+	PR 465/tests
+	* psxhdrs/Makefile.am: Add new test cases.
+	* psxhdrs/sync01.c, psxhdrs/sync02.c, psxhdrs/sync03.c,
+	psxhdrs/timer07.c: New files.
+
 2003-08-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/tests/psxtests/psxhdrs/Makefile.am
===================================================================
--- c/src/tests/psxtests/psxhdrs/Makefile.am	(revision 398ed76051383f5be5c73b4375add5297c68d2cf)
+++ c/src/tests/psxtests/psxhdrs/Makefile.am	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -21,8 +21,8 @@
     signal07.c signal08.c signal09.c signal10.c signal11.c signal12.c \
     signal13.c signal14.c signal15.c signal16.c signal17.c signal18.c \
-    signal19.c signal20.c signal21.c signal22.c time01.c time02.c time03.c \
-    time04.c time05.c time06.c time07.c time08.c time09.c time10.c time11.c \
-    time12.c time13.c timer01.c timer02.c timer03.c timer04.c timer05.c \
-    timer06.c
+    signal19.c signal20.c signal21.c signal22.c sync01.c sync02.c sync03.c \
+    time01.c time02.c time03.c time04.c time05.c time06.c time07.c time08.c \
+    time09.c time10.c time11.c time12.c time13.c timer01.c timer02.c timer03.c \
+    timer04.c timer05.c timer06.c timer07.c
 C_O_FILES = $(C_FILES:%.c=${ARCH}/%.$(OBJEXT))
 
Index: c/src/tests/psxtests/psxhdrs/sync01.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/sync01.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
+++ c/src/tests/psxtests/psxhdrs/sync01.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -0,0 +1,24 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  invoking this function are correct.
+ *
+ *  COPYRIGHT (c) 1989-2003.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <unistd.h>
+ 
+void test( void )
+{
+  int    fd;
+  int    result;
+
+  int fd = 4;
+  result = fsync( fd );
+}
Index: c/src/tests/psxtests/psxhdrs/sync02.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/sync02.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
+++ c/src/tests/psxtests/psxhdrs/sync02.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -0,0 +1,24 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  invoking this function are correct.
+ *
+ *  COPYRIGHT (c) 1989-2003.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <unistd.h>
+ 
+void test( void )
+{
+  int    fd;
+  int    result;
+
+  int fd = 4;
+  result = fdatasync( fd );
+}
Index: c/src/tests/psxtests/psxhdrs/sync03.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/sync03.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
+++ c/src/tests/psxtests/psxhdrs/sync03.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -0,0 +1,20 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  invoking this function are correct.
+ *
+ *  COPYRIGHT (c) 1989-2003.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <unistd.h>
+ 
+void test( void )
+{
+  sync();
+}
Index: c/src/tests/psxtests/psxhdrs/timer07.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/timer07.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
+++ c/src/tests/psxtests/psxhdrs/timer07.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -0,0 +1,24 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  invoking this function are correct.
+ *
+ *  COPYRIGHT (c) 1989-2003.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <unistd.h>
+ 
+void test( void )
+{
+  unsigned long usec; 
+  unsigned      result;
+
+  usec = 0;
+  result = usleep( usec );
+}
Index: testsuites/psxtests/ChangeLog
===================================================================
--- testsuites/psxtests/ChangeLog	(revision 398ed76051383f5be5c73b4375add5297c68d2cf)
+++ testsuites/psxtests/ChangeLog	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -1,2 +1,10 @@
+2003-09-03	Joel Sherrill <joel@OARcorp.com>
+
+	PR 463/tests
+	PR 465/tests
+	* psxhdrs/Makefile.am: Add new test cases.
+	* psxhdrs/sync01.c, psxhdrs/sync02.c, psxhdrs/sync03.c,
+	psxhdrs/timer07.c: New files.
+
 2003-08-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: testsuites/psxtests/psxhdrs/Makefile.am
===================================================================
--- testsuites/psxtests/psxhdrs/Makefile.am	(revision 398ed76051383f5be5c73b4375add5297c68d2cf)
+++ testsuites/psxtests/psxhdrs/Makefile.am	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -21,8 +21,8 @@
     signal07.c signal08.c signal09.c signal10.c signal11.c signal12.c \
     signal13.c signal14.c signal15.c signal16.c signal17.c signal18.c \
-    signal19.c signal20.c signal21.c signal22.c time01.c time02.c time03.c \
-    time04.c time05.c time06.c time07.c time08.c time09.c time10.c time11.c \
-    time12.c time13.c timer01.c timer02.c timer03.c timer04.c timer05.c \
-    timer06.c
+    signal19.c signal20.c signal21.c signal22.c sync01.c sync02.c sync03.c \
+    time01.c time02.c time03.c time04.c time05.c time06.c time07.c time08.c \
+    time09.c time10.c time11.c time12.c time13.c timer01.c timer02.c timer03.c \
+    timer04.c timer05.c timer06.c timer07.c
 C_O_FILES = $(C_FILES:%.c=${ARCH}/%.$(OBJEXT))
 
Index: testsuites/psxtests/psxhdrs/sync01.c
===================================================================
--- testsuites/psxtests/psxhdrs/sync01.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
+++ testsuites/psxtests/psxhdrs/sync01.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -0,0 +1,24 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  invoking this function are correct.
+ *
+ *  COPYRIGHT (c) 1989-2003.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <unistd.h>
+ 
+void test( void )
+{
+  int    fd;
+  int    result;
+
+  int fd = 4;
+  result = fsync( fd );
+}
Index: testsuites/psxtests/psxhdrs/sync02.c
===================================================================
--- testsuites/psxtests/psxhdrs/sync02.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
+++ testsuites/psxtests/psxhdrs/sync02.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -0,0 +1,24 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  invoking this function are correct.
+ *
+ *  COPYRIGHT (c) 1989-2003.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <unistd.h>
+ 
+void test( void )
+{
+  int    fd;
+  int    result;
+
+  int fd = 4;
+  result = fdatasync( fd );
+}
Index: testsuites/psxtests/psxhdrs/sync03.c
===================================================================
--- testsuites/psxtests/psxhdrs/sync03.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
+++ testsuites/psxtests/psxhdrs/sync03.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -0,0 +1,20 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  invoking this function are correct.
+ *
+ *  COPYRIGHT (c) 1989-2003.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <unistd.h>
+ 
+void test( void )
+{
+  sync();
+}
Index: testsuites/psxtests/psxhdrs/timer07.c
===================================================================
--- testsuites/psxtests/psxhdrs/timer07.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
+++ testsuites/psxtests/psxhdrs/timer07.c	(revision f01f75ca6a0e636519750272499eb7bc1afacb33)
@@ -0,0 +1,24 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  invoking this function are correct.
+ *
+ *  COPYRIGHT (c) 1989-2003.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <unistd.h>
+ 
+void test( void )
+{
+  unsigned long usec; 
+  unsigned      result;
+
+  usec = 0;
+  result = usleep( usec );
+}
